Bug 470757 - The extension is not change to .pdf when printing a web page to PDF file
The extension is not change to .pdf when printing a web page to PDF file
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: firefox (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Gecko Maintainer
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-09 21:11 EST by lihuang
Modified: 2009-03-11 19:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-10 18:24:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (33.38 KB, image/png)
2008-11-09 22:26 EST, lihuang
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 482845 None None None Never

  None (edit)
Description lihuang 2008-11-09 21:11:03 EST
Description of problem:
The suggested file name is not automatically change to xxx.pdf when printing a web page to PDF file 

Version-Release number of selected component (if applicable):
firefox-3.0.4-1.el5

How reproducible:
Every time 

Steps to Reproduce:
1.Launch firefox.
2.Press Ctrl+P.
3.Choose 'print to file'.
4.Select PDF as output format .
  
Actual results:
the file name is xxx.ps

Expected results:
After step4,the file name should automatically change to xxx.pdf.

Additional info:
the output file is exactly a PDF file,only the extension is not right,
in my case:
[root@dhcp-65-132 Desktop]# file mozilla.ps
mozilla.ps: PDF document, version 1.4
Comment 1 lihuang 2008-11-09 22:26:50 EST
Created attachment 323038 [details]
screenshot
Comment 2 Matěj Cepl 2008-11-10 12:37:05 EST
yup, can happily reproduce.
Comment 4 RHEL Product and Program Management 2009-03-10 18:24:31 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.